# Class Models

Models class used by Human

- models: record of all GraphModels
- list: returns list of configured models with their stats
- loaded: returns array of loaded models
- reset: unloads all models
- validate: checks loaded models for valid kernel ops vs current backend
- stats: live detailed model stats that can be checked during model load phase

- Defined in src/models.ts:89

##### Index

### Constructors

constructor

### Properties

models

### Methods

list
load
loaded
reset
stats
validate

## Constructors

### constructor

- new Models(currentInstance: Human ): Models

  #### Parameters

  - currentInstance: Human

  #### Returns Models

  - Defined in src/models.ts:93

## Properties

### models

models: Record<string, null | GraphModel > = {}

- Defined in src/models.ts:91

## Methods

### list

- list(): { loaded: boolean; name: string; size: number; url: any }[]

  #### Returns { loaded: boolean; name: string; size: number; url: any }[]

  - Defined in src/models.ts:170

### load

- load(instance?: Human ): Promise<void>

  #### Parameters

  - `Optional` instance: Human

  #### Returns Promise<void>

  - Defined in src/models.ts:123

### loaded

- loaded(): string[]

  #### Returns string[]

  - Defined in src/models.ts:181

### reset

- reset(): void

  #### Returns void

  - Defined in src/models.ts:119

### stats

- stats(): ModelStats

  #### Returns ModelStats

  - Defined in src/models.ts:98

### validate

- validate(): { missing: string[]; name: string }[]

  #### Returns { missing: string[]; name: string }[]

  - Defined in src/models.ts:187